
package de.ivu.elect.business.stimmzettel.boundary;

import java.io.Serializable;

import de.ivu.elect.business.stimmzettel.entity.StimmzettelKopfdatum;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class StimmzettelKopfdatumFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public StimmzettelKopfdatum create() {
        StimmzettelKopfdatum entity = new StimmzettelKopfdatum(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(StimmzettelKopfdatum entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
